using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisCoOrgan)]
    [Api(Description = "机构合作分布")]
    public class DisCoOrgan : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "机构1")]
        public string Organ1 { get; set; }

        [ApiMember(Description = "机构2")]
        public string Organ2 { get; set; }

        [ApiMember(Description = "机构合作频次")]
        public int Count { get; set; }
    }
}
